commit:     002507830ea1c239c5bf87bdf28806abc612e23d
Author:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
AuthorDate: Fri Oct 19 22:20:32 2018 +0000
Commit:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
CommitDate: Fri Oct 19 22:30:08 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=00250783

x11-libs/cairo: Version bump to 1.16.0

Closes: https://bugs.gentoo.org/581532
Signed-off-by: Matt Turner <mattst88 <AT> gentoo.org>

 x11-libs/cairo/Manifest            |   1 +
 x11-libs/cairo/cairo-1.16.0.ebuild | 130 +++++++++++++++++++++++++++++++++++++
 2 files changed, 131 insertions(+)

diff --git a/x11-libs/cairo/Manifest b/x11-libs/cairo/Manifest
index 1aa5bb15b3d..f485786b3a4 100644
--- a/x11-libs/cairo/Manifest
+++ b/x11-libs/cairo/Manifest
@@ -1 +1,2 @@
 DIST cairo-1.14.12.tar.xz 36251896 BLAKE2B 
3a6b374390cbc7ff965bcfdf72b5df28c72e8be1ed524adf0dbde2ae74840991e6c158c528c626fb0c902be95bd846366690b280449d6f74689e7090a562958e
 SHA512 
ede6e75ae95605bf5c4b3859b1824cf125c4a2a35a67d38244cc70951ca44b1d4fd7cf622953d3a7cb868fb5b00856ef6d68ee615276b76eec437641290b01e1
+DIST cairo-1.16.0.tar.xz 41997432 BLAKE2B 
aa37edf7fdf0c952484fd0adc9281724227db93958d6e4919216b30e9017fab670bc2340e3b975737080f1f67dec24025fe0e4680e275ab7703cfb9235eb1fe0
 SHA512 
9eb27c4cf01c0b8b56f2e15e651f6d4e52c99d0005875546405b64f1132aed12fbf84727273f493d84056a13105e065009d89e94a8bfaf2be2649e232b82377f

diff --git a/x11-libs/cairo/cairo-1.16.0.ebuild 
b/x11-libs/cairo/cairo-1.16.0.ebuild
new file mode 100644
index 00000000000..ecceec47019
--- /dev/null
+++ b/x11-libs/cairo/cairo-1.16.0.ebuild
@@ -0,0 +1,130 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit eutils flag-o-matic autotools multilib-minimal
+
+if [[ ${PV} == *9999* ]]; then
+       inherit git-r3
+       EGIT_REPO_URI="https://anongit.freedesktop.org/git/cairo";
+       SRC_URI=""
+else
+       SRC_URI="https://www.cairographics.org/releases/${P}.tar.xz";
+       KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 
~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos 
~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+fi
+
+DESCRIPTION="A vector graphics library with cross-device output support"
+HOMEPAGE="https://www.cairographics.org";
+LICENSE="|| ( LGPL-2.1 MPL-1.1 )"
+SLOT="0"
+IUSE="X aqua debug gles2 +glib opengl static-libs +svg utils valgrind xcb"
+# gtk-doc regeneration doesn't seem to work with out-of-source builds
+#[[ ${PV} == *9999* ]] && IUSE="${IUSE} doc" # API docs are provided in 
tarball, no need to regenerate
+
+# Test causes a circular depend on gtk+... since gtk+ needs cairo but test 
needs gtk+ so we need to block it
+RESTRICT="test"
+
+RDEPEND="
+       >=media-libs/fontconfig-2.10.92[${MULTILIB_USEDEP}]
+       >=media-libs/freetype-2.5.0.1:2[${MULTILIB_USEDEP}]
+       >=media-libs/libpng-1.6.10:0=[${MULTILIB_USEDEP}]
+       sys-libs/binutils-libs:0=[${MULTILIB_USEDEP}]
+       >=sys-libs/zlib-1.2.8-r1[${MULTILIB_USEDEP}]
+       >=x11-libs/pixman-0.32.4[${MULTILIB_USEDEP}]
+       gles2? ( >=media-libs/mesa-9.1.6[gles2,${MULTILIB_USEDEP}] )
+       glib? ( >=dev-libs/glib-2.34.3:2[${MULTILIB_USEDEP}] )
+       opengl? ( >=media-libs/mesa-9.1.6[egl,${MULTILIB_USEDEP}] )
+       utils? ( >=dev-libs/lzo-2.06-r1[${MULTILIB_USEDEP}] )
+       X? (
+               >=x11-libs/libXrender-0.9.8[${MULTILIB_USEDEP}]
+               >=x11-libs/libXext-1.3.2[${MULTILIB_USEDEP}]
+               >=x11-libs/libX11-1.6.2[${MULTILIB_USEDEP}]
+       )
+       xcb? (
+               >=x11-libs/libxcb-1.9.1[${MULTILIB_USEDEP}]
+       )"
+DEPEND="${RDEPEND}
+       virtual/pkgconfig
+       >=sys-devel/libtool-2
+       X? ( x11-base/xorg-proto )"
+#[[ ${PV} == *9999* ]] && DEPEND="${DEPEND}
+#      doc? (
+#              >=dev-util/gtk-doc-1.6
+#              ~app-text/docbook-xml-dtd-4.2
+#      )"
+
+REQUIRED_USE="
+       gles2? ( !opengl )
+"
+
+PATCHES=(
+       "${FILESDIR}"/${PN}-1.12.18-disable-test-suite.patch
+       "${FILESDIR}"/${PN}-respect-fontconfig.patch
+)
+
+src_prepare() {
+       default
+
+       # tests and perf tools require X, bug #483574
+       if ! use X; then
+               sed -e '/^SUBDIRS/ s#boilerplate test perf# #' -i Makefile.am 
|| die
+       fi
+
+       # Slightly messed build system YAY
+       if [[ ${PV} == *9999* ]]; then
+               touch boilerplate/Makefile.am.features
+               touch src/Makefile.am.features
+               touch ChangeLog
+       fi
+
+       eautoreconf
+}
+
+multilib_src_configure() {
+       local myopts
+
+       [[ ${CHOST} == *-interix* ]] && append-flags -D_REENTRANT
+
+       use elibc_FreeBSD && myopts+=" --disable-symbol-lookup"
+
+       # [[ ${PV} == *9999* ]] && myopts+=" $(use_enable doc gtk-doc)"
+
+       ECONF_SOURCE="${S}" \
+       econf \
+               --disable-dependency-tracking \
+               $(use_with X x) \
+               $(use_enable X tee) \
+               $(use_enable X xlib) \
+               $(use_enable X xlib-xrender) \
+               $(use_enable aqua quartz) \
+               $(use_enable aqua quartz-image) \
+               $(use_enable debug test-surfaces) \
+               $(use_enable gles2 glesv2) \
+               $(use_enable glib gobject) \
+               $(use_enable opengl gl) \
+               $(use_enable static-libs static) \
+               $(use_enable svg) \
+               $(use_enable utils interpreter) \
+               $(use_enable utils script) \
+               $(use_enable utils trace) \
+               $(use_enable valgrind) \
+               $(use_enable xcb) \
+               $(use_enable xcb xcb-shm) \
+               --enable-ft \
+               --enable-pdf \
+               --enable-png \
+               --enable-ps \
+               --disable-drm \
+               --disable-directfb \
+               --disable-gallium \
+               --disable-qt \
+               --disable-vg \
+               --disable-xlib-xcb \
+               ${myopts}
+}
+
+multilib_src_install_all() {
+       prune_libtool_files --all
+       einstalldocs
+}

Reply via email to